Mercury API
ReadTagMemBytes Method (target, bank, address, byteCount)
Namespaces ► ThingMagic ► RqlReader ► ReadTagMemBytes(TagFilter, Int32, Int32, Int32)
Read data from the memory bank of a tag.
Declaration Syntax

C# | Visual Basic | Visual C++

    public override byte[] ReadTagMemBytes(
    	TagFilter target,
    	int bank,
    	int address,
    	int byteCount
    )

    Public Overrides Function ReadTagMemBytes ( _
    	target As TagFilter, _
    	bank As Integer, _
    	address As Integer, _
    	byteCount As Integer _
    ) As Byte()

    public:
    virtual array<unsigned char>^ ReadTagMemBytes(
    	TagFilter^ target,
    	int bank,
    	int address,
    	int byteCount
    ) override

Parameters

target (TagFilter)
  the tag target to operate on

bank (Int32)
  the tag memory bank

address (Int32)
  the reading starting byte address

byteCount (Int32)
  the bytes to read

Return Value
the bytes read

Assembly: MercuryAPI (Module: MercuryAPI) Version: 1.29.4.34 (1.29.4.34)